<template>
	<view class="banner">
		<view class="uni-margin-wrap">
			<swiper class="swiper" circular :indicator-dots="indicatorDots" :autoplay="autoplay" :interval="interval"
				:duration="duration">
					<swiper-item v-for="bannerItem in carouselList">
						<navigator url="bannerItem.destinationAddress"><image :src="bannerItem.filePath" mode="widthFix"></image></navigator>
					</swiper-item>
			</swiper>
		</view>
	</view>
</template>

<script>
	export default{
		props:['carouselList'],
		data(){
			return {
				indicatorDots: true,
				autoplay: true,
				interval: 2000,
				duration: 500,
			}
		},
		name:'carousel',
		components:{},
		onLoad(){
			console.log(this.fileUploadItemList)
		},
		methods:{
			
		}
	}
</script>

<style lang="scss">
	
</style>